Bug 170533 - Segmentation Violation loading umbscheme.init
Segmentation Violation loading umbscheme.init
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: umb-scheme (Show other bugs)
4.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Miroslav Lichvar
:
Depends On:
Blocks: 187538
  Show dependency treegraph
 
Reported: 2005-10-12 12:44 EDT by Brock Organ
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version: RHBA-2006-0343
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-17 15:28:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fix forwarding objects. (1.80 KB, patch)
2006-01-20 09:35 EST, Miroslav Lichvar
no flags Details | Diff
Fix a problem with garbage collection. (622 bytes, patch)
2006-01-20 09:37 EST, Miroslav Lichvar
no flags Details | Diff

  None (edit)
Description Brock Organ 2005-10-12 12:44:08 EDT
* RHEL4 i386
* umb-scheme-3.2-35

When running the program, an error occurs:

> $ /usr/bin/umb-scheme
> Welcome to UMB Scheme, version 3.2  Copyright (c) 1988,1996 William R Campbell.
> UMB Scheme comes with ABSOLUTELY NO WARRANTY. This is free software and
> you are free to redistribute it under certain conditions.
> See the UMB Scheme Release Notes for details. Type Control-d to exit.
>
> Loading /usr/share/umb-scheme/prelude.scheme...
>
> Fatal Error: Segmentation Violation.
>
> Reset (Use Control-d to quit UMB Scheme)
> $ 

this error does not occur on all arches, for example here is what the s390 version does:

> .qa.[root@tennyson ~]# umb-scheme
> Welcome to UMB Scheme, version 3.2  Copyright (c) 1988,1996 William R Campbell.
> UMB Scheme comes with ABSOLUTELY NO WARRANTY. This is free software and
> you are free to redistribute it under certain conditions.
> See the UMB Scheme Release Notes for details. Type Control-d to exit.
>
> Loading /usr/share/umb-scheme/prelude.scheme...
> Loading /usr/share/umb-scheme/slib/umbscheme.init...
> Loading /usr/share/umb-scheme/slib/require.scm...
>
> ==> 
> #
Comment 2 Jukka Ketelaars 2005-12-09 18:03:35 EST
In fc5 development (umb-scheme-3.2-39) strace shows the segfault occurs when
processing the "defmacro let" from the prelude.scheme. Pasting it after the
prompt has appeared causes the program to completely terminate:

$ umb-scheme
Welcome to UMB Scheme, version 3.2  Copyright (c) 1988,1996 William R Campbell.
UMB Scheme comes with ABSOLUTELY NO WARRANTY. This is free software and
you are free to redistribute it under certain conditions.
See the UMB Scheme Release Notes for details. Type Control-d to exit.

Loading /usr/share/umb-scheme/prelude.scheme...

Fatal Error: Segmentation Violation.

Reset (Use Control-d to quit UMB Scheme)
==> (defmacro let (arg1 arg2 . args)
  (if (symbol? arg1)

      ; named let
      `((letrec ((,arg1 (lambda ,(#_map1 car arg2) ,@args)))
          ,arg1)
        ,@(#_map1 cadr arg2))

      ; regular let
      (if (null? args)

          ; simple body
          `((lambda ,(#_map1 car arg1) ,arg2) ,@(#_map1 cadr arg1))

          ; composite body
          `((lambda ,(#_map1 car arg1) ,arg2 ,@args) ,@(#_map1 cadr arg1)))))

Error: Bad function object:Segmentation fault
Comment 3 Miroslav Lichvar 2006-01-20 09:35:28 EST
Created attachment 123485 [details]
Fix forwarding objects.
Comment 4 Miroslav Lichvar 2006-01-20 09:37:14 EST
Created attachment 123486 [details]
Fix a problem with garbage collection.

These two patches should make umb-scheme usable again.
Comment 5 Brock Organ 2006-03-24 15:48:47 EST
QE ack for really really smart handsome bug reporter who took the time to
include a thought provoking intensely personal test case dialog and who really
ought to have better luck with the ladies ...
Comment 10 Red Hat Bugzilla 2006-05-17 15:28:06 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0343.html

Note You need to log in before you can comment on or make changes to this bug.